Ubuntu

[regression] Nvidia 295.40 driver is extremely slow

Reported by Charles Profitt on 2012-04-16
336
This bug affects 77 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Mark Jones
nvidia-graphics-drivers (Debian)
Fix Released
Unknown
nvidia-graphics-drivers (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned
nvidia-graphics-drivers-updates (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Summary:
This is a fresh install of Ubuntu 12.04 Beta 2 to test an issue that came up after patching a 12.04 system. The system was upgraded from 11.10 and ran without issue until 4-15 when the latest updates were applied.

On the advice of Sarvatt I ran ubuntu-bug nvidia-current to capture these details.

I will also be patching this system and rerunning the testing.

Reports will also be sent to Nvidia.

Expected Behavior:
Unity 3D runs smoothly
3D Games run smoothly

Actual Behavior:
Unity 3D runs smoothly
3d Game run smoothly except when leaving the game... the desktop takes 15-20 seconds to redraw.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: nvidia-current 295.40-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-20.33-generic 3.2.12
Uname: Linux 3.2.0-20-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.tmp.unity.support.test.0:

ApportVersion: 1.95-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Sun Apr 15 21:37:57 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 295.40, 3.2.0-20-generic, x86_64: installed
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
ProcEnviron:
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic root=UUID=25072a69-9f26-47ae-b61c-86ef7cbdb056 ro quiet splash vt.handoff=7
SourcePackage: nvidia-graphics-drivers
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/27/2008
dmi.bios.vendor: Intel Corp.
dmi.bios.version: MQ96510J.86A.1749.2008.0727.0001
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DP965LT
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD41694-207
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrMQ96510J.86A.1749.2008.0727.0001:bd07/27/2008:svn:pn:pvr:rvnIntelCorporation:rnDP965LT:rvrAAD41694-207:cvn:ct3:cvr:
version.compiz: compiz 1:0.9.7.2-0ubuntu4
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Charles Profitt (cprofitt) wrote :
Charles Profitt (cprofitt) wrote :

adding the nvidia-bug-report.sh generated log file.

Was unable to register on nvnews.net forums and post this report there.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
tags: added: nvidia
Terry Jones (terryjones1983) wrote :

Unusual as I have a GTX470 on one machine and GTX260 on another. Both x64 bit versions of Ubuntu 12.04 beta 2 - both fully updated and using the new nvidia driver and both work fine.

Charles Profitt (cprofitt) wrote :

The architecture of the bug this is marked a duplicate of is i386, mine is amd64... not sure if this should be a duplicate even though the symptoms are similar.

Robert Hooker (sarvatt) wrote :

Crashing and slow performance are two totally different things, unduplicating it

Charles Profitt (cprofitt) wrote :

Was able to post to NVnews.net this morning.

http://www.nvnews.net/vbulletin/showthread.php?t=178374

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
importance: High → Medium
Bryce Harrington (bryce) wrote :

[ 160.646] [mi] Increasing EQ size to 512 to prevent dropped events.
[ 299.613] (II) NVIDIA(0): Setting mode "1024x768"
[ 1396.288] [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
[ 1396.288]
Backtrace:
[...lalala...]

Since performance lag is bad enough to cause EQ overflowing (like a gpu lockup), bumping priority up another notch.

I assume you already tried purging nvidia and reinstalling with jockey (which shouldn't make a difference since this is a fresh install).

Changed in nvidia-graphics-drivers (Ubuntu):
importance: Medium → High
summary: Nvidia 295.40 - Ubuntu 12.04 Beta 2 Fresh Install (slow performance in
- Unity 3D)
+ Unity 3D, and EQ Overflow)

Updated Ubuntu 12.04 64 bit , Nvidia 9500 (nvidia-current)

Slow perfomance (unusable) on both Unity 3d/2d using an opengl game.
Desktop usage (no in game) is normal or not noticiable slow perfomance, no crashes.

Changed in nvidia-graphics-drivers (Debian):
status: Unknown → Confirmed
Charles Profitt (cprofitt) wrote :

I tested reverting to 295.20 by installing the binary from Nvidia's site. Was able to install and performance is good again.

Charles Profitt (cprofitt) wrote :

Nvidia is aware of the issue.

http://www.nvnews.net/vbulletin/showthread.php?t=178460

We have been made aware of an interaction problem between the fix contained in the newest release any any card with a chip older than G80, inclusive. This includes the full GeForce 6 and 7 series as well as GeForce 8800GTX and first-gen 8800GTS. We are actively working on resolving this issue and will provide an update as soon as possible.

The symptoms can include graphical corruption, performance issues, crashes and temporary hangs.

The release should be perfectly safe to use with more recent cards than that; I'll update this thread ASAP.

vmc (vmclark) wrote :

using nvidia 295.20, amd64 install, geforce 6150se, r-clicking takes several seconds for focus to appear.

Charles Profitt (cprofitt) wrote :

Nvidia has commented:

"We've identified two separate issues with 295.40; one affecting G80-based products and being tied to the security patch. The other affecting integrated graphics chipsets, which is independent of the security fix. The next release from the 295 series will address both of these, while still maintaining the security issue closed.

If you are running into a regression between 295.33 and 295.40, and are not on a G80 or an integrated GPU, please open a new thread and be sure to attach all the necessary information so that this can be investigated separately in the interest of clarity.

Thanks a lot!"

http://www.nvnews.net/vbulletin/showthread.php?t=178460&page=2

Charles Profitt (cprofitt) wrote :

Nvidia's internal Bug is: "NVIDIA internal Bug Id 970244 to track this issue."

http://www.nvnews.net/vbulletin/showpost.php?p=2547028&postcount=17

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/982710

tags: added: iso-testing
graingert (tagrain) wrote :

People need to be prevented from installing nvidia drivers until this bug is sorted. Otherwise it's a blocker for release

summary: - Nvidia 295.40 - Ubuntu 12.04 Beta 2 Fresh Install (slow performance in
- Unity 3D, and EQ Overflow)
+ [regression] Nvidia 295.40 driver is extremely slow
D McC (dougm-w) wrote :

Nvidia 295.20 seems to work a lot better than 295.40.

Xubuntu 12.04 AMD 32-bit GEForce 6150SE

If you go to Settings Manager -> Screensaver and choose Blocktube, you see it moves quickly and smoothly in 295.20. In 295.40 it is jumpy and changes about once per second.

So I think 295.20 is probably as good or better than 173.14 (which is not compatible with Ubuntu 12.04).

This config setting change (Allow Flipping OpenGL) makes it usable, increase the performance just a little bit;
If you open an OpenGL application do not close it, let it running or minimize, and everything will be ok, if you close all OpenGL apps video will LAG and will quickly Flash the screen 3 times, and then come back to normal, no warranty anyways.
I hope nVidia release a Fix soon.

bowser (bwbernard-wong1) wrote :

 I also notice watching video with vdpau consumes abnormally high cpu usage. For the same video, in Natty the cpu usage using mplayer2 with vdpau (Nvidia295.20) is somewhere between 5 to 15%, in Precise it is around 50% even though vdpau is enabled (I know it is enabled aside from terminal output because it works in gnome shell, see below)

But I am not sure if this is just a Nvidia driver bug because cpu usage drops drastically when I switched to gnome-shell (even though still a few percentage over Natty with Nvidia295.20) I will file a separate bug if necessary.

pelm (pelle-ekh) wrote :

There should be fixes out now for G80, GeForce 6 and 7 series cards from NVIDIA:

http://www.nvnews.net/vbulletin/showpost.php?p=2551714&postcount=31

Haven't tried the drivers though.

bowser (bwbernard-wong1) wrote :

Hi guys,

I have filed a bug report on the Nvidia driver and Unity 3d concerning vdpau. I have downgraded to 295.20 and the problem of poor vdpau performance still persists. If any of you are having the same issue please add an 'affect me too'. Thanks.

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/993397

danrgmc (danrgmc-yahoo) wrote :

I installed latest Nvidia driver for my gpu-9800GT: 302.07. I played flash video after install-ran for maybe 10 secs. before logout.
Guys, need to try again. On a positive note, my GPU temp per: Nvidia-settings lowered to 52 deg. C. Never before been lower than 56.
ambient temp @ 23.9

danrgmc (danrgmc-yahoo) wrote :

Update: Correction-My temps at rest are now 61!

There is a new video driver version available: 295.49

http://www.nvidia.com/object/linux-display-amd64-295.49-driver.html

markb (mark-blakeney) wrote :

As I reported on the ubuntu forums at http://ubuntuforums.org/showpost.php?p=11904367&postcount=8 the 295.49 driver seq faulted on me 3 times in the 4 hours I ran it.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 295.49-0ubuntu1

---------------
nvidia-graphics-drivers-updates (295.49-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 16:57:15 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 295.49-0ubuntu1

---------------
nvidia-graphics-drivers (295.49-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 17:03:09 +0200

Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Fix Released
Alberto Milone (albertomilone) wrote :

SRU Request:

Please accept nvidia-graphics-drivers-updates in precise-proposed. Driver 295.49 should fix both the problem reported in this bug report and the other one reported in bug #982485

Ptitphysik (amalpeyre) wrote :

With Driver 295.49 and GeForce 7000M / nForce 610M, 3D is slow and compiz is taking 40% CPU.

Hello Charles, or anyone else affected,

Accepted nvidia-graphics-drivers-updates into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: New → Won't Fix
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
rmcd (rmcd1024) wrote :

I was waiting for an update before reporting that I was affected. I have installed 295.49 and it has not fixed my problem. The same issue exists with 259.33 and 259.40. This is new behavior in 12.04.

I have a G96 [GeForce 9500 GT] (from lshw)

When I first boot up, video is fast. After a period of time, certain applications become very slow, taking seconds to do what had previously been instantaneous. A graph using the rgl package in R, for example, comes up as a grey box for several seconds, and resizing the box takes seconds. When I first boot, all of this is instantaneous.

Jonathan Lumb (jonolumb) wrote :

This appears to be fixed for me after installing 295.49.

rmcd (rmcd1024) wrote :

I tried 295.20 (uninstalled jockey and nvidia-*) and still experience the same problem of a slowdown after a period, although perhaps it is slightly less severe.

I forgot to say that I am running xubuntu 12.04.

vmc (vmclark) wrote :

I have similar issues as rmvd. Using either 295.49 or 295.20 same issue. R-clicking any menu and it takes several seconds for menu to appear. Before it was instantaneous.

Helio Neto (remiariro) wrote :

I've just installed 295.49 from precise-proposed and everything seems fine now. At least Unity 3D works and it's running as fast as with 295.33.
GeForce 7025/630a, 12.04 32-bit.

GeForce 6200 and 3D is still very, very, very slow. Not usable at all.
Top menu bar and side task bar still do not show up. Stuck in 2D at the
present time. Updates are up to date.

Keith

Changed in nvidia-graphics-drivers (Debian):
status: Confirmed → Fix Released
Jonathan Lumb (jonolumb) wrote :

It seems that things are better with the 295.49 release but still not back to normal - for example, opening a new tab in gnome-terminal takes two or three seconds to complete whereas before such an operation was instantaneous.

I don't think this is "fixed" yet.

rmcd (rmcd1024) wrote :

As a test I installed 302.07. It exhibits the same problem of initial snappy response and then, after a period, several-second delays in certain graphical tasks. Moreover, it takes 5 times longer to run the matlab 3-D benchmark than did any of the 295.x series.

On the whole, in my experience 295.20 is the least broken of the group that I have tried (295.2, 295.4, 295.49, 302.07).

TheBigW (tobiaswenig) wrote :

I have the same mentioned problem with my 8800 GTS . Actually the problem for me even started with 11.10 after the latest security update. Hope to get a fix soon. I will also try to play a bit with driver versions available from nvidida...

pelm (pelle-ekh) wrote :

I think it's fixed on my machine with GeForce 7600 GS and driver 295.49. I've disabled some autostarted applets and other running services that i not use that take up memory. Unity is now running really smooth.

TheBigW (tobiaswenig) wrote :

ok, now I followed the advice seen somewhere else: givin nouveau a try: works great for ubuntu 2D and even Alien Arena is working! Good enough for me so far! I would even more apreciate putting more effort into nouveau support for ubuntu 3D than fixing this bug!

Jonathan Lumb (jonolumb) wrote :

I too have removed the Nvidia proprietary driver for now and have seen
massive improvements in performance. The only drawback is that sound
doesn't play on an external monitor using a HDMI cable - but apart from
that everything appears perfectly functional.
 On May 15, 2012 4:35 AM, "TheBigW" <email address hidden> wrote:

pelm (pelle-ekh) wrote :

Now again, seems to happen from time to time; the driver 295.49 is again very unstable on my GeForce 7600 GS, and it completely freeze my machine again now, AARGH. This driver is not usable, it can be stable for a long time then just freeze the whole desktop. There is nothing to do than hard reset the PC. Using the driver with xubuntu now, thinking of removing it and falling down to default Nouveau driver. The pitfall there is that the video/movie quality in videoplayers, flash etc. is much more poor. But it's better than whole desktop freeze. ):

rmcd (rmcd1024) wrote :

The problems also occur for me with the 295.53 driver just posted.

madbiologist (me-again) wrote :

There are a couple of comments that 295.49-0ubuntu0.1 has fixed this problem, and another comment that it improved things although not to the same standard as previously. Given that there are no reports of regressions I feel that we should should get this out the door sooner rather than later, as it is holding up the fix for bug #982485 which has been verified.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 295.49-0ubuntu0.1

---------------
nvidia-graphics-drivers-updates (295.49-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 16:42:10 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
pelm (pelle-ekh) wrote :

Releasing this thingy with this regressions for former LTS users (10.04) upgrading to 12.04 as i am, the earlier system with no problem at all, leaving us with a total unusable system (freezing machine after some time, without a blink of an eye, lagging etc.) is a total failure. I consider moving to another distro!

Alberto Milone (albertomilone) wrote :

@pelm: have you tried driver 295.49-0ubuntu0.1 ? (nvidia-current-updates)

Keith Clark (keithclark) wrote :

On 12-05-18 12:21 PM, Alberto Milone wrote:
> @pelm: have you tried driver 295.49-0ubuntu0.1 ? (nvidia-current-
> updates)
>
Can you post exact instructions on how to update to that?

pelm (pelle-ekh) wrote :

@Alberto Milone: Yes both 295.40 and 295.49. And now with 295.53 (X updates ppa) i do not dare trying Unity3D, and now i use Xubuntu. The 295.49 driver was working a long time and i was thinking that the problem with freezing was solved, and then all of a sudden the computer screen freezes again. All in Unity 3D. Therefore in my opinion the problem isn't gone.

Alberto Milone (albertomilone) wrote :

@Keith: all you have to do is install the "nvidia-current-updates" package, better if through Jockey (the restricted driver manager).

@pelm: I'm wondering if you're facing a different problem then (especially since you mentioned that the driver was working for you). We need more data. Please reproduce the problem (i.e. enter Unity and let it freeze, then either get to the terminal or reboot), type "sudo nvidia-bug-report.sh" and attach the nvidia-bug-report.log.gz file that you should find in your home directory.

Keith Clark (keithclark) wrote :

On 12-05-19 04:51 AM, Alberto Milone wrote:
> @Keith: all you have to do is install the "nvidia-current-updates"
> package, better if through Jockey (the restricted driver manager).
>
> @pelm: I'm wondering if you're facing a different problem then
> (especially since you mentioned that the driver was working for you). We
> need more data. Please reproduce the problem (i.e. enter Unity and let
> it freeze, then either get to the terminal or reboot), type "sudo
> nvidia-bug-report.sh" and attach the nvidia-bug-report.log.gz file that
> you should find in your home directory.
>
Alberto,

I did this and it says that I have the most up to date software.
Checking the nvidia settings shows that I'm running 295.40,

Alberto Milone (albertomilone) wrote :

@Keith: if you're using Ubuntu 12.04, please make sure that the precise-updates repositories are enabled.

rmcd (rmcd1024) wrote :

I would like to ask for clarification. My status is that I am running 295.49, installed via precise-updates. I had previously uninstalled everything nvidia, attempted to get nouveau working (I have a 2 video card setup), and then decided to give the binary drivers one more try. So I apt-get installed them.

My symptoms remain. All is fine immediately after a restart. However, after a period of time, X is slow, and Flash becomes unplayable. This behavior is a huge regression compared to 10.04.

What is the right venue for these problems? Is there a different open bug that is more pertinent? Thanks.

Adam Porter (alphapapa) wrote :
Download full text (3.2 KiB)

I have used Kubuntu on my Dell XPS M1330 laptop (NVIDIA GeForce 8400M) since 2008 with no problems. Immediately after upgrading from Oneiric to Precise I began having problems with X freezing at 100% CPU while playing video, usually with Firefox playing Flash in YouTube. The screen freezes completely, and I can't switch to other VTs. I can SSH in and see that X is at 100% CPU. Killing VLC, Firefox, and plugin-container doesn't unfreeze the system or stop X from using 100% CPU. Looking in dmesg I see:

[ 2140.551099] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
[ 2140.551107] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
[ 2140.551133] NVRM: os_pci_init_handle: invalid context!
[ 2140.551139] NVRM: os_pci_init_handle: invalid context!
[ 2140.551206] NVRM: os_pci_init_handle: invalid context!
[ 2140.551224] NVRM: os_pci_init_handle: invalid context!
[ 2140.551229] NVRM: os_pci_init_handle: invalid context!
[ 2142.079045] irq 16: nobody cared (try booting with the "irqpoll" option)
[ 2142.079051] Pid: 0, comm: BFS/0 Tainted: P C O 3.3.6-pf-adp+ #6
[ 2142.079054] Call Trace:
[ 2142.079061] [<c154ddf6>] ? printk+0x2d/0x2f
[ 2142.079067] [<c10b4139>] __report_bad_irq+0x29/0xd0
[ 2142.079070] [<c10b43ae>] note_interrupt+0x11e/0x1d0
[ 2142.079174] [<f9bad083>] ? nv_kern_isr+0x33/0x70 [nvidia]
[ 2142.079178] [<c10b21ee>] handle_irq_event_percpu+0x9e/0x200
[ 2142.079182] [<c10b4cf0>] ? handle_fasteoi_irq+0xd0/0xd0
[ 2142.079186] [<c15569e0>] ? nmi_stack_correct+0x2f/0x34
[ 2142.079190] [<c10269e8>] ? default_spin_lock_flags+0x8/0x10
[ 2142.079194] [<c101df4d>] ? __io_apic_modify_irq+0x7d/0x90
[ 2142.079198] [<c10b238b>] handle_irq_event+0x3b/0x60
[ 2142.079201] [<c10b4c20>] ? unmask_irq+0x30/0x30
[ 2142.079204] [<c10b4c6e>] handle_fasteoi_irq+0x4e/0xd0
[ 2142.079206] <IRQ> [<c155d3b2>] ? do_IRQ+0x42/0xc0
[ 2142.079213] [<c1008638>] ? sched_clock+0x8/0x10
[ 2142.079217] [<c1060ffb>] ? sched_clock_local+0xcb/0x1c0
[ 2142.079221] [<c155d2f0>] ? common_interrupt+0x30/0x38
[ 2142.079225] [<c10600d8>] ? build_sched_domains+0x168/0x7d0
[ 2142.079230] [<c1315fef>] ? arch_local_irq_enable+0x5/0xb
[ 2142.079233] [<c13169cb>] ? acpi_idle_enter_simple+0xf3/0x133
[ 2142.079237] [<c1448d9d>] ? cpuidle_idle_call+0xad/0x250
[ 2142.079241] [<c100174c>] ? cpu_idle+0x9c/0xe0
[ 2142.079244] [<c1531825>] ? rest_init+0x5d/0x68
[ 2142.079249] [<c17f5745>] ? start_kernel+0x357/0x35d
[ 2142.079252] [<c17f517f>] ? loglevel+0x2b/0x2b
[ 2142.079255] [<c17f5078>] ? i386_start_kernel+0x78/0x7d
[ 2142.079257] handlers:
[ 2142.079340] [<f9bad050>] nv_kern_isr
[ 2142.079342] Disabling IRQ #16

I've never, ever had this problem until "upgrading" to Oneiric. Now I have this crash often, at least six times since upgrading. It may be a few days, a few hours, or a few minutes between crashes. It's happened twice today. Sometimes I can SAK+K twice to kill X and restart KDM, but other times the SysRq keys do nothing and I have to reset the system. So far, when it's happened, it's always been while playing video with VLC with Firefox and Flash running.

I'm currently on 295.40. I will try upgrading to 295.49 and see if it resolves the cras...

Read more...

Jonathan Lumb (jonolumb) wrote :

Here is a bug report I managed to capture using the 295.49 driver - may or may not prove useful.

Adam Porter (alphapapa) wrote :

295.49 has not fixed the crashes--it just happened again:

[35437.091037] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
[35437.091072] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
[35438.672076] irq 16: nobody cared (try booting with the "irqpoll" option)
[35438.672082] Pid: 0, comm: BFS/0 Tainted: P C O 3.3.6-pf-adp+ #6
[35438.672085] Call Trace:
[35438.672093] [<c154ddf6>] ? printk+0x2d/0x2f
[35438.672099] [<c10b4139>] __report_bad_irq+0x29/0xd0
[35438.672103] [<c10b43ae>] note_interrupt+0x11e/0x1d0
[35438.672209] [<f9bce853>] ? nv_kern_isr+0x33/0x70 [nvidia]
[35438.672213] [<c10b21ee>] handle_irq_event_percpu+0x9e/0x200
[35438.672217] [<c10269e8>] ? default_spin_lock_flags+0x8/0x10
[35438.672221] [<c15560ad>] ? _raw_spin_lock_irqsave+0x2d/0x40
[35438.672225] [<c10b238b>] handle_irq_event+0x3b/0x60
[35438.672228] [<c10b4c20>] ? unmask_irq+0x30/0x30
[35438.672231] [<c10b4c6e>] handle_fasteoi_irq+0x4e/0xd0
[35438.672233] <IRQ> [<c155d3b2>] ? do_IRQ+0x42/0xc0
[35438.672240] [<c1084f2a>] ? tick_notify+0x2ca/0x3e0
[35438.672244] [<c155d2f0>] ? common_interrupt+0x30/0x38
[35438.672247] [<c1556035>] ? _raw_spin_unlock_irqrestore+0x15/0x20
[35438.672251] [<c108462d>] ? clockevents_notify+0x3d/0x100
[35438.672255] [<c13168d5>] ? lapic_timer_state_broadcast+0x36/0x39
[35438.672259] [<c13169eb>] ? acpi_idle_enter_simple+0x113/0x133
[35438.672263] [<c1448d9d>] ? cpuidle_idle_call+0xad/0x250
[35438.672267] [<c100174c>] ? cpu_idle+0x9c/0xe0
[35438.672271] [<c1531825>] ? rest_init+0x5d/0x68
[35438.672275] [<c17f5745>] ? start_kernel+0x357/0x35d
[35438.672278] [<c17f517f>] ? loglevel+0x2b/0x2b
[35438.672281] [<c17f5078>] ? i386_start_kernel+0x78/0x7d
[35438.672283] handlers:
[35438.672366] [<f9bce820>] nv_kern_isr
[35438.672369] Disabling IRQ #16

Kevin W. (eyecreate) wrote :

@alphapapa: I think your problem is this bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/843709

Adam Porter (alphapapa) wrote :

I don't think so. I don't have a Sandy Bridge system--not even close. And
that bug has nothing to do with NVIDIA. And this bug only happened when the
NVIDIA drivers were upgraded. That "nobody cared" IRQ message can be
caused by other things.

On Thursday, May 31, 2012, Kevin W. wrote:

> @alphapapa: I think your problem is this bug:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/843709
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/982710
>
> Title:
> [regression] Nvidia 295.40 driver is extremely slow
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/982710/+subscriptions
>

Keith Clark (keithclark) wrote :

With the new driver it seems to be faster but I still have no top menu
bar and no side Unity bar. Icons show up on the desktop and can be
moved around and left click the mouse on the desktop brings up the
little menu.

Alberto Milone (albertomilone) wrote :

@Adam: does it help if you do the following?

sudo nano -w /etc/rc.local

Add the following line before the "exit 0" line:

/usr/bin/nvidia-smi -pm 1

Then press "Ctrl+o" to save and "Ctrl+x" to exit.

Then reboot and see if you can still reproduce the issue.

Alberto Milone (albertomilone) wrote :

@rmcd: I think you should file a separate bug report for that, thanks

Tommy Vestermark (tov) wrote :

Confirmed on both 295.40 (nvidia-current) and 295.49 (nvidia-current-updates) in Precise. Graphics card 8600GT on a 64-bit AMD processor. After running Minecraft under Unity-2D for half a minute, X suddenly becomes very unresponsive and consumes 100% CPU. Simultanously the following is output to Xorg.0.log (monitored by tail -f):

[ 990.330] [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
[ 990.331]
Backtrace:
[ 990.452] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7fc6578a9866]
[ 990.452] 1: /usr/bin/X (mieqEnqueue+0x263) [0x7fc657889f43]
[ 990.452] 2: /usr/bin/X (0x7fc657721000+0x62934) [0x7fc657783934]
[ 990.453] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fc64fb9a000+0x5d88) [0x7fc64fb9fd88]
[ 990.453] 4: /usr/bin/X (0x7fc657721000+0x8ae07) [0x7fc6577abe07]
[ 990.453] 5: /usr/bin/X (0x7fc657721000+0xb0d4a) [0x7fc6577d1d4a]
[ 990.453] 6: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fc656a47000+0xfcb0) [0x7fc656a56cb0]
[ 990.453] 7: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7fc650682000+0xf8ccb) [0x7fc65077accb]
[ 990.453] 8: /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x7fc6567c0000+0xe343) [0x7fc6567ce343]
[ 990.453] 9: /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x7fc6567c0000+0x14736) [0x7fc6567d4736]
[ 990.453] 10: /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x7fc6567c0000+0x13996) [0x7fc6567d3996]
[ 990.453] 11: /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x7fc6567c0000+0x41383) [0x7fc656801383]
[ 990.453] 12: /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (pixman_image_composite32+0x498) [0x7fc6567c9488]
[ 990.453] 13: /usr/lib/xorg/modules/libwfb.so (wfbComposite+0x1d8) [0x7fc650252228]
[ 990.453] 14: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7fc650682000+0x4cfa15) [0x7fc650b51a15]
[ 990.453] 15: /usr/bin/X (0x7fc657721000+0x116444) [0x7fc657837444]
[ 990.453] 16: /usr/bin/X (0x7fc657721000+0x10e9c4) [0x7fc65782f9c4]
[ 990.453] 17: /usr/bin/X (0x7fc657721000+0x4e7a1) [0x7fc65776f7a1]
[ 990.453] 18: /usr/bin/X (0x7fc657721000+0x3d6aa) [0x7fc65775e6aa]
[ 990.453] 19: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fc6558dc76d]
[ 990.453] 20: /usr/bin/X (0x7fc657721000+0x3d99d) [0x7fc65775e99d]
[ 990.453] [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
[ 990.453] [mi] mieq is *NOT* the cause. It is a victim.
[ 990.738] [mi] EQ overflow continuing. 100 events have been dropped.
...

It was running fine in Lucid. Is there a way to easily try the latest NVidia drivers (currently 295.53 or 302.11b) by a .deb or PPA?

Tommy Vestermark (tov) wrote :

The problem is still present in 295.53. I installed nvidia-current-updates_295.53-0ubuntu1_amd64.deb from https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates/295.53-0ubuntu1/+build/3509205

Keith Clark (keithclark) wrote :

I'm still out of luck here. I can starup in 3D, my desktop icons show up but no top menu or launcher bar. Stuck in 2D. Is this still not fixed properly?

Adam Porter (alphapapa) wrote :

Alberto, thanks for the suggestion, but I've seen that suggested on forums
for months, for several driver versions, and people have reported that
persistent mode makes no difference. It also doesn't make sense that it
should help, given what it says on the man page. And I've used this laptop
for years and had no need for persistent mode. Right now I don't want to
go back to the super-crashy driver to test a setting that probably won't
fix it. There is clearly a bug introduced by NVIDIA that they need to fix.

Are you suggesting that I try that because of something you read on a
forum, or did someone from NVIDIA indicate it might work around the crash,
or...?

On Monday, June 4, 2012, Alberto Milone wrote:

> @Adam: does it help if you do the following?
>
> sudo nano -w /etc/rc.local
>
> Add the following line before the "exit 0" line:
>
> /usr/bin/nvidia-smi -pm 1
>
> Then press "Ctrl+o" to save and "Ctrl+x" to exit.
>
> Then reboot and see if you can still reproduce the issue.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/982710
>
> Title:
> [regression] Nvidia 295.40 driver is extremely slow
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/982710/+subscriptions
>

rmcd (rmcd1024) wrote :

As suggested by @albertomilone, I have filed a new bug report: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1011698 . If you are still encountering performance problems, please vote for the bug there. It sounds as if there are multiple problems that need sorting out.

rmcd (rmcd1024) wrote :

Several of you (@bernd-pfrommer and @jonolumb) indicated at https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1011698 that you remain affected by a slowdown bug. You posted comments to that effect but apparently did not vote for the bug. There is a "This bug affects you" link towards the top left of the page. I think it is important to click this link if you're affected, because it tells the system that the bug affects multiple people. We need all the attention we can get :-) Thanks.

kenorb (kenorb) wrote :
Changed in nvidia-drivers-ubuntu:
assignee: nobody → Mark Jones (lglizit222tsol)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.